/* Global Variables */
:root {
    --mainColor1: #ffffff;
    --mainColor2: #ff3946;
    --mainColor3: #314584;
    --mainColor4: #f4fafe;

    --color1: #6e757a;

    --gridStyleWidth: 1170px;
    --gridColumnMinWidth: 300px;

    --mainLineHeight: 1.6;
    --sectionPadding: 70px;
}

/* Global Rules - Beginning */
* {
    box-sizing: border-box;
    margin: 0;
}

html {
    scroll-behavior: smooth;
}

body {
    background-color: var(--mainColor1);
    font-family: 'Work Sans', sans-serif;
}

.container {
    padding: 0 15px;
    margin: 0 auto;
}
@media (max-width: 320px) {
    .container {
        padding: 0 10px;
    }
}
@media (min-width: 768px) {
    .container {
    max-width: calc(var(--gridStyleWidth) - 420px);
    }
}
@media (min-width: 992px) {
    .container {
    max-width: calc(var(--gridStyleWidth) - 200px);
    }
}
@media (min-width: 1200px) {
    .container {
        max-width: var(--gridStyleWidth);
    }
}
/* Global Rules - Ending */

/* Global Components - Beginning */
/* Special Link */
.specialLink {
    background-color: var(--mainColor2);
    color: var(--mainColor1);
    width: fit-content;
    padding: 10px 20px;
    border-radius: 25px;
    filter: drop-shadow(0px 0px 5px rgba(255,57,70,0.25));
    transition: filter 0.3s;

    /* Font */
    font-size: 15px;
    font-weight: 600;

    /* Text */
    line-height: var(--mainLineHeight);
    text-decoration: none;
}

.specialLink:hover {
    filter: drop-shadow(0px 0px 10px rgba(255,57,70,0.55));
}

/* Special Title 0 */
.specialTitle {
    /* Flex */
    display: flex;
    flex-direction: column;
}
@media (max-width: 1200px) {
    .specialTitle {
        text-align: center;
        align-items: center;
    }
}
@media (max-width: 1100px) {
    .specialTitle {
        padding: 0 20px;
    }
}

.specialTitle__sub {
    color: var(--mainColor2);
    font-size: 16px;
    font-weight: 600;
    line-height: var(--mainLineHeight);
}
@media (max-width: 700px) {
    .specialTitle__sub {
        font-size: 14px;
    }
}

.specialTitle__main {
    color: var(--mainColor3);
    margin: 15px 0 50px;
    font-size: 40px;
    font-weight: 600;
    line-height: var(--mainLineHeight);
}
@media (max-width: 1200px) {
    .specialTitle__main {
        font-size: 35px;
    }
}
@media (max-width: 1100px) {
    .specialTitle__main {
        max-width: none !important;
    }
}
@media (max-width: 700px) {
    .specialTitle__main {
        font-size: 30px;
    }
}

/* Special Title 1 */
.specialTitle1 {
    color: var(--mainColor3);
    margin: 15px 0 50px;
    font-size: 35px;
    font-weight: 600;
    line-height: var(--mainLineHeight);
}
@media (max-width: 1100px) {
    .specialTitle1 {
        max-width: none !important;
        padding: 0 20px;
        text-align: center;
    }
}
@media (max-width: 700px) {
    .specialTitle1 {
        font-size: 30px;
    }
}
/* Global Components - Ending */

/* Keyframes - Beginning */
@keyframes changePos {
    to {
        transform: translateX(10px);
    }
}
/* Keyframes - Ending */

/* Navigation Bar - Beginning */
.navbar {
    padding: 10px 20px 0;

    /* Position */
    position: relative;
    z-index: 2;

    /* Flex */
    display: flex;
    justify-content: space-evenly;
    align-items: center;
}
@media (max-width: 900px) {
    .navbar {
        background-color: var(--mainColor1);
        padding: 10px 20px 0;
        box-shadow: rgb(0 0 0 / 16%) 0px 1px 4px;
        justify-content: space-between;

        /* Position */
        position: sticky;
        top: 0;
    }
}

.navbar__logo {
    width: 65px;
    height: 25px;
}

.navbar__linksBox {
    position: relative;
}

.navbar__menuIcon {
    color: var(--mainColor3);
    height: 25px;
    padding: 5px;
    cursor: pointer;
    box-sizing: content-box;
}
@media (min-width: 900px) {
    .navbar__menuIcon {
        display: none;
    }
}

.navbar__linksBox:hover .navbar__menuIcon {
    color: var(--mainColor2);
}

.navbar__links {
    /* Flex */
    display: flex;
    align-items: center;
}
@media (max-width: 900px) {
    .navbar__links {
        display: none;
        position: relative;
    }

    .navbar__links::before {
        width: 0;
        height: 0;

        /* Border */
        border: solid 10px;
        border-color: transparent transparent  var(--mainColor3) transparent;

        content: '';
        position: absolute;
        right: 1px;
        transform: translateY(calc(-100% + 1px));
    }

    .navbar__linksBox:hover  .navbar__links {
        margin-top: 5px;

        /* Position */
        position: absolute;
        right: 5px;
        z-index: 1;

        /* Flex */
        display: flex;
        flex-direction: column;
        align-items: center;
    }
}

.navbar__link {
    color: var(--mainColor3);
    font-size: 15px;
    font-weight: 600;
    line-height: var(--mainLineHeight);
    text-decoration: none;
}

.navbar__link:not(.navbar__link:last-of-type) {
    margin-right: 45px;
}

.navbar__link:not(.navbar__specialLink ):hover {
    text-decoration: underline;
}

@media (max-width: 900px) {
    .navbar__link {
        background-color: var(--mainColor3);
        color: var(--mainColor1);
        width: 120%;
        padding: 10px 20px;
        margin-right: 0 !important;
        text-align: center;
    }

    .navbar__link:first-of-type {
        border-top-left-radius: 3px;
        border-top-right-radius: 3px;
    }

    .navbar__link:last-of-type {
        border-bottom-left-radius: 3px;
        border-bottom-right-radius: 3px;
    }

    .navbar__link:hover {
        color: var(--mainColor2);
        text-decoration: none !important;
    }
}

.navbar__specialLink {
    background-color: var(--mainColor1);
    color: var(--mainColor2);
    padding: 10px 20px;
    border-radius: 5px;
    filter: drop-shadow(0px 2px 3px rgba(25,45,51,0.15));
    transition: filter 0.3s;

    /* Flex */
    display: flex;
    justify-content: center;
    align-items: center;
}
@media (max-width: 1000px) {
    .navbar__specialLink {
        display: none;
    }
}

.navbar__specialLink:hover {
    filter: drop-shadow(0px 2px 7px rgba(25,45,51,0.20));
}

.navbar__specialLinkIcon {
    color: var(--mainColor2);
    width: 22.5px;
    height: 14.25px;
    margin-left: 8px;
}
/* Navigation Bar - Ending */

/* Header Section - Beginning */
.header {
    min-height: calc(800px - 51px);
    overflow: hidden;

    /* Position */
    position: relative;
    z-index: 1;
}

.header__container {
    /* Flex */
    display: flex;
    flex-direction: column;
}

.header__blob {
    width: 700px;
    height: 700px;

    /* Position */
    position: absolute;
    right: -20px;
    top: 30px;
    z-index: -1;
}

.header__content {
    padding-left: 100px;
    margin-top: 100px;

    /* Flex */
    display: flex;
    flex-direction: column;
}

.header__title {
    color: var(--mainColor3);
    font-size: 60px;
    font-weight: 600;
    letter-spacing: 1px;
    line-height: var(--mainLineHeight);
}

.header__desc {
    color: var(--color1);
    max-width: 500px;
    margin-bottom: 40px;
    font-size: 16px;
    font-weight: 400;
    line-height: var(--mainLineHeight);
}

.header__links {
    /* Flex */
    display: flex;
    align-items: center;
}

.header__moreLink {
    margin-right: 30px;
}

.header__getLink {
    color: var(--mainColor3);
    font-size: 15px;
    font-weight: 600;
    line-height: var(--mainLineHeight);
    text-decoration: none;
}

.header__getLink:hover {
    text-decoration: underline;
}

/* Media Queries */
@media (max-width: 1400px) {
    .header {
        min-height: calc(700px - 51px);
    }

    .header__blob {
        width: 600px;
        height: 600px;
    }

    .header__content {
        margin-top: 50px;
        transform: scale(0.85);
    }
}

@media (max-width: 1200px) {
    .header {
        min-height: calc(700px - 51px);
    }

    .header__blob {
        width: 500px;
        height: 500px;
    }

    .header__content {
        padding-left: 0;
        margin-top: 100px;
        transform: scale(0.75);
    }
}

@media (max-width: 1000px) {
    .header {
        min-height: calc(550px - 49px);
    }

    .header__blob {
        width: 400px;
        height: 400px;
    }

    .header__content {
        padding-left: 0;
        margin: 30px 0 0 -20px;
    }
}

@media (max-width: 900px) {
    .header {
        min-height: calc(100vh - 49px);
    }

    .header__blob {
        display: none;
    }

    .header__content {
        width: 100%;
        padding: 10px;
        margin: 0;
        text-align: center;
        align-items: center;

        /* Position */
        position: absolute;
        left: 50%;
        top: 50%;
        transform: translate(-50%, -50%);
    }

    .header__title {
        margin-top: 0;
        font-size: 45px;
    }

    .header__desc {
        max-width: 450px;
    }

    .header__titleBr {
        display: none;
    }

    .header__links {
        /* Flex */
        flex-direction: column;
        justify-content: center;
    }

    .header__moreLink {
        margin-right: 0;
        margin-bottom: 25px;
    }
}

@media (max-width: 530px) {
    .header__title {
        font-size: 38px;
    }

    .header__desc {
        padding: 0 15px;
        font-size: 14px;
    }
}
/* Header Section - Ending */

/* Services Section - Beginning */
.services {
    padding: var(--sectionPadding) 0;
}

.services__container {
    /* Flex */
    display: flex;
    justify-content: center;
}

/* Info */
.services__info {
    max-width: 300px;
    margin-right: 50px;

    /* Flex */
    display: flex;
    flex-direction: column;
}

.services__infoTitle {
    max-width: 270px;
    margin-bottom: 35px;
}

.services__infoLink {
    font-size: 13px;
}

/* Services */
.services__servs {
    max-width: calc(2 * 300px + 50px);

    /* Flex */
    display: flex;
    justify-content: center;
    align-items: center;
}

.services__serv {
    background-color: var(--mainColor1);
    padding: 30px;
    filter: drop-shadow(0px 5px 5px rgba(25, 45, 51, 0.15));

    /* Flex */
    display: flex;
    flex-direction: column;
}

.services__serv:first-of-type {
    margin-right: 50px;
}

.services__servTitle {
    color: var(--mainColor3);
    max-width: 250px;
    margin: 30px 0;
    font-size: 25px;
    font-weight: 600;
    line-height: var(--mainLineHeight);
}

.services__servDesc {
    color: var(--mainColor3);
    max-width: 230px;
    font-size: 14px;
    font-weight: 400;
    line-height: var(--mainLineHeight);
}

/* Media Queries */
@media (max-width: 1100px) {
    .services__container {
        /* Flex */
        flex-direction: column;
        align-items: center;
    }

    .services__info {
        max-width: none;
        margin: 0 0 60px;
        text-align: center;
        align-items: center;
    }

    .services__serv {
        text-align: center;
        align-items: center;
    }
}

@media (max-width: 700px) {
    .services__infoTitle {
        font-size: 27px;
    }

    .services__servs {
        flex-direction: column;
    }

    .services__serv:first-of-type {
        margin-right: 0;
        margin-bottom: 50px;
    }
}
/* Services Section - Ending */

/* About Section - Beginning */
.about {
    padding: var(--sectionPadding) 0;
    position: relative;
}

.about__blob1 {
    width: 200px;

    /* Position */
    position: absolute;
    top: 0;
    z-index: -1;
    transform: translateY(-50%);
}

.about__blob2 {
    width: 250px;

    /* Position */
    position: absolute;
    right: 0;
    top: 0;
    z-index: -1;
    transform: translateY(-30%);
}

.about__container {
    /* Flex */
    display: flex;
    justify-content: center;
}

.about__illustration {
    width: 500px;
    margin-right: 80px;
}

.about__content {
    /* Flex */
    display: flex;
    flex-direction: column;
}

@media (min-width: 1100px) and (max-width: 1200px) {
    .about__title {
        align-items: flex-start;
        text-align: left;
    }
}

.about__mainTitle {
    max-width: 340px;
}

.about__desc {
    color: var(--mainColor3);
    max-width: 500px;
    font-size: 16px;
    font-weight: 400;
    line-height: var(--mainLineHeight);
}

/* Media Queries */
@media (max-width: 1300px) {
    .about__blob1 {
        width: 130px;
    }

    .about__blob2 {
        width: 180px;
    }
}

@media (max-width: 1100px) {
    .about__container {
        text-align: center;

        /* Flex */
        flex-direction: column;
        align-items: center;
    }

    .about__illustration {
        width: 450px;
        margin-right: 0;
        margin-bottom: 50px;
    }

    .about__title {
        align-items: center;
        text-align: center;
    }

    .about__desc {
        padding: 0 20px;
        font-size: 14px;
    }
}

@media (max-width: 900px) {
    .about__blob1 {
        width: 100px;
    }

    .about__blob2 {
        width: 120px;
        transform: translateY(5%);
    }

    .about__illustration {
        margin-bottom: 20px;
    }
}

@media (max-width: 700px) {
    .about__blob2 {
        width: 90px;
    }
}

@media (max-width: 500px) {
    .about__illustration {
        width: 400px;
    }
}

@media (max-width: 450px) {
    .about__illustration {
        width: 350px;
    }
}

@media (max-width: 400px) {
    .about__illustration {
        width: 300px;
    }
}

@media (max-width: 320px) {
    .about__illustration {
        width: 280px;
    }
}
/* About Section - Ending */

/* Portfolio Section - Beginning */
.portfolio {
    padding: var(--sectionPadding) 0;
    position: relative;
}

.portfolio__blob {
    width: 750px;

    /* Position */
    position: absolute;
    top: 0;
    left: 0;
    z-index: -1;
    transform: translateY(160px);
}

.portfolio__container {
    /* Flex */
    display: flex;
    flex-direction: column;
}

.portfolio__title {
    max-width: 350px;
    margin-bottom: 40px;
}

.portfolio__imgs {
    /* Grid */
    display: grid;
    grid-template-columns: repeat(auto-fill, minmax(var(--gridColumnMinWidth), 1fr));
    gap: 20px;
}

.portfolio__img {
    height: 250px;
    position: relative;
    overflow: hidden;

    /* Background */
    background-repeat: no-repeat;
    background-position: center;
    background-size: cover;
}

.portfolio__img::before {
    background-color: var(--mainColor3);
    width: 700px;
    height: 700px;
    border-radius: 50%;
    opacity: 0.8;
    transition: transform 1s;

    content: '';
    position: absolute;
    left: 50%;
    top: 50%;
    transform: translate(-50%, -50%) scale(0);
}

.portfolio__img:hover::before {
    transform: translate(-50%, -50%) scale(1);
}

.portfolio__img::after {
    color: var(--mainColor1);
    font-size: 18px;

    /* Transition */
    transition: transform 0.5s;
    transition-delay: 0.4s;

    content: attr(data-name);
    position: absolute;
    left: 50%;
    top: 50%;
    transform: translate(-50%, 200px);
}

.portfolio__img:hover::after {
    transform: translate(-50%, -50%);
}

/* Media Queries */
@media (max-width: 1300px) {
    .portfolio__blob {
        width: 650px;
    }
}

@media (max-width: 1200px) {
    .portfolio__blob {
        width: 600px;
    }
}

@media (max-width: 1100px) {
    .portfolio__blob {
        width: 550px;
    }
}

@media (max-width: 900px) {
    .portfolio__blob {
        width: 500px;
        transform: translateY(-220px);
    }
}

@media (max-width: 700px) {
    .portfolio__blob {
        width: 450px;
    }
}

@media (max-width: 650px) {
    .portfolio__imgs {
        row-gap: 30px;
    }
}

@media (max-width: 500px) {
    .portfolio__blob {
        width: 400px;
    }
}

@media (max-width: 450px) {
    .portfolio__blob {
        width: 350px;
    }
}

@media (max-width: 400px) {
    .portfolio__blob {
        width: 300px;
    }
}

@media (max-width: 320px) {
    .portfolio__blob {
        width: 250px;
    }
}
/* Portfolio Section - Ending */


/* Blog Section - Beginning */
.blog {
    padding: var(--sectionPadding) 0;
    position: relative;
}

.blog__blob {
    width: 300px;

    /* Position */
    position: absolute;
    top: 0;
    right: 0;
    z-index: -1;
    transform: translateY(50px);
}

.blog__container {
    /* Flex */
    display: flex;
    flex-direction: column;
}

.blog__mainTitle {
    line-height: normal;
}

.blog__blogs {
    /* Grid */
    display: grid;
    grid-template-columns: repeat(auto-fill, minmax(var(--gridColumnMinWidth), 1fr));
    gap: 25px;
}

.blog__blog {
    background-color: var(--mainColor1);
    padding: 40px;
    filter: drop-shadow(0px 5px 5px rgba(25,45,51,0.15));
    text-decoration: none;

    /* Flex */
    display: flex;
    flex-direction: column;
}

.blog__blog--latest {
    background-color: var(--mainColor2);
}

.blog__blogName {
    color: var(--mainColor3);
    font-size: 16px;
    font-weight: 600;
}

.blog__blog--latest .blog__blogName {
    color: var(--mainColor1);
}

.blog__blogDate {
    color: var(--color1);
    margin: 10px 0 20px;
    font-size: 12px;
}

.blog__blog--latest .blog__blogDate {
    color: var(--mainColor1);
}

.blog__blogDesc {
    color: var(--mainColor3);
    max-width: 250px;
    font-size: 16px;
    line-height: var(--mainLineHeight);
}

.blog__blog--latest .blog__blogDesc {
    color: var(--mainColor1);
}

.blog__blogIcon {
    color: var(--mainColor2);
    margin-top: 20px;
    align-self: flex-end;
}

.blog__blog--latest .blog__blogIcon {
    color: var(--mainColor1);
}

.blog__blog:hover .blog__blogIcon {
    /* Animation */
    animation-name: changePos;
    animation-duration: 0.5s;
    animation-iteration-count: infinite;
}

/* Media Queries */
@media (max-width: 1300px) {
    .blog__blob {
        width: 250px;
    }
}

@media (max-width: 1200px) {
    .blog__title {
        text-align: center;
        align-items: center;
    }

    .blog__mainTitle {
        font-size: 35px;
    }
}

@media (max-width: 1100px) {
    .blog__title {
        padding: 0 20px;
    }

    .blog__mainTitle {
        max-width: none !important;
    }
}

@media (max-width: 900px) {
    .blog__blob {
        width: 200px;
    }
}

@media (max-width: 655px) {
    .blog__blogs {
        row-gap: 35px;
    }
}

@media (max-width: 700px) {
    .blog__blob {
        width: 150px;
        transform: translateY(-150px);
    }

    .blog__subTitle {
        font-size: 14px;
    }

    .blog__mainTitle {
        font-size: 30px;
    }
}
/* Blog Section - Ending */


/* Contact Section - Beginning */
.contact {
    padding: var(--sectionPadding) 0;
}

.contact_container {
    /* Flex */
    display: flex;
    flex-direction: column;
}

.contact__mainTitle {
    line-height: normal;
}

.contact__form {
    /* Flex */
    display:flex;
    flex-direction: column;
    align-items: center;
}

.contact__textField {
    background-color: var(--mainColor4);
    color: var(--mainColor3);
    width: 100%;
    padding: 15px;
    font-weight: 600;
    line-height: var(--mainLineHeight);
    border: none;
    border-radius: 2px;
}

.contact__formRow {
    width: 100%;

    /* Grid */
    display: grid;
    grid-template-columns: repeat(auto-fit, minmax(var(--gridColumnMinWidth), 1fr));
    gap: 20px;
}

.contact__textField:focus-visible {
    outline: none;
}

.contact__textField::placeholder {
    color: var(--mainColor3);
    font-weight: 600;
}

.contact__message {
    margin: 20px 0 40px;
}

.contact__send {
    border: none;
    cursor: pointer;
}
/* Contact Section - Ending */

/* Footer Section - Beginning */
.footer {
    background-color: var(--mainColor3);
    padding: var(--sectionPadding) 0;
}

.footer__container {
    /* Flex */
    display: flex;
    flex-direction: column;
    align-items: center;
}

.footer__subTitle {
    color: var(--mainColor1);
    font-size: 16px;
    font-weight: 600;
}

.footer__mainTitle {
    color: var(--mainColor2);
    margin: 20px 0 40px;
    font-size: 40px;
    font-weight: 600;
}

.footer__links {
    width: 100%;

    /* Flex */
    display: flex;
    justify-content: center;
}

.footer__link {
    color: var(--mainColor1);
    font-size: 16px;
    font-weight: 600;
    text-decoration: none;
}

.footer__link:not(.footer__link:last-of-type) {
    margin-right: 40px;
}

.footer__link:hover {
    text-decoration: underline;
}

.footer__copyright {
    color: var(--mainColor1);
    margin: 50px 0;
    font-size: 12px;
    font-weight: 400;
}

.footer__socialLinks {
    /* Flex */
    display: flex;
}

.footer__socialLink {
    color: var(--mainColor1);
}

.footer__socialLink:not(.footer__socialLink:last-of-type) {
    margin-right: 50px;
}

.footer__socialLink:hover {
    color: var(--mainColor2);
}

.footer__socialLinkIcon {
    width: 30px;
    height: 30px;
}

/* Media Queries */
@media (max-width: 900px) {
    .footer__mainTitle {
        font-size: 35px;
    }
}

@media (max-width: 600px) {
    .footer__mainTitle {
        font-size: 25px;
    }

    .footer__links {
        flex-direction: column;
        align-items: center;
    }

    .footer__link:not(.footer__link:last-of-type) {
        margin-right: 0;
        margin-bottom: 30px;
    }
}

@media (max-width: 400px) {
    .footer__socialLink:not(.footer__socialLink:last-of-type) {
        margin-right: 35px;
    }
}
/* Footer Section - Ending */
